> For the complete documentation index, see [llms.txt](https://docs.kiiglobal.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kiiglobal.io/docs/build-on-kiichain/developer-tools/resources.md).

# Resources

Helpful resources to start building on Kiichain

**CosmJS** - <https://github.com/cosmos/cosmjs>

This is a Javascript library that could be utilized on the frontend for creating robust dApps in the cosmos ecosystem. This library has been used to build many things such as wallets and applications that require sending transaction messages on a cosmos based blockchain.

Easy CosmJS starting point documentation - <https://gist.github.com/webmaster128/8444d42a7eceeda2544c8a59fbd7e1d9>

**Cosmpy** - <https://github.com/fetchai/cosmpy>

A python library created by fetchai. Similar to CosmJS, this library handles connectivity and transaction creation and broadcasting to cosmos based chains.

If adding a library in your dApp is not an option or you prefer not to use javascript/typescript or python, communicating via rpc endpoints is also possible. Kiichain validators expose rpc endpoints that dApp developers can utilize when building dApps. It is highly recommended for dApp developers to bring up their own node in order to utilize these rpc endpoints (more information about setting up a node here: [Run a Validator / Full Node](/docs/validate-the-network/run-a-validator-full-node/getting-started.md))

Kiichain RPC endpoints:

* **Mainnet:** <https://rpc.kiivalidator.com> (JSON-RPC: <https://json-rpc.kiivalidator.com>)
* **Testnet Oro:** <https://rpc.uno.sentry.testnet.v3.kiivalidator.com/>

See also:

* [Kiichain Mainnet](/docs/build-on-kiichain/kiichain-mainnet.md)
* [Testnet Oro](/docs/build-on-kiichain/testnet-oro.md)
* [Bridge](/docs/learn/getting-started/bridge.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.kiiglobal.io/docs/build-on-kiichain/developer-tools/resources.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
